UJOY(4)

NAME
ujoy - USB joystick/gamecontroller

SYNOPSIS
ujoy* at uhidev?

DESCRIPTION
The ujoy driver provides support for USB joysticks and other gamecontrollers. They are Human Interface Devices (HID) which can be accessed via the /dev/ujoy/N interface.

The driver is compatible with read(2), and a subset of ioctl(2) operations of the generic uhid(4) device.

FILES
/dev/ujoy/*

SEE ALSO
uhid(4), uhidev(4), usb(4)

HISTORY
The ujoy driver first appeared in OpenBSD 6.9.